Submitted by Bost0n on Mon, 02/29/2016 - 13:06
Forums:
Is there a way to access the transform feature under Edit->Transform? It appears the journal recorder doesn't record the commands? Can I manually program it from the API? Are there any tutorials? I'm trying to mirror a solid body.
Thanks
re: mirror body
What version of NX?
If you are using NX 7.5 or newer, I would suggest using the "instance geoemtry" or "mirror geometry" commands. "Instance geometry" is in NX 7.5 (there is a mirror option within the command), but it eventually gets replaced by the "mirror geometry" and "pattern geometry" commands of newer releases.
Mirror
Using SNAP functions:
mirror = Snap.Geom.Transform.CreateReflection
myBody.Copy(mirror)
Using NX/Open functions:
NXOpen.UF.UFTrns.CreateReflectionMatrix()
NXOpen.UF.UFTrns.TransformObjects